set fish_greeting "Capella"

export PATH="/usr/local/bin:/bin:/usr/sbin:/sbin"
export PATH="$PATH:$HOME/.node/bin"
export PATH="$PATH:$HOME/go/bin"

# test -e {$HOME}/.iterm2_shell_integration.fish ; and source {$HOME}/.iterm2_shell_integration.fish
# set -g fish_user_paths "/usr/local/sbin" $fish_user_paths
# set -g fish_user_paths "/usr/local/opt/gnu-getopt/bin" $fish_user_paths

# #if status is-interactive
# #and not set -q TMUX
# #    exec tmux
# #end


# # The next line updates PATH for the Google Cloud SDK.
# if [ -f '/Users/gabrielcapella/.g/google-cloud-sdk/path.fish.inc' ]; . '/Users/gabrielcapella/.g/google-cloud-sdk/path.fish.inc'; end
# set -g fish_user_paths "/usr/local/opt/openssl@1.1/bin" $fish_user_paths


# status --is-interactive; and source (rbenv init -|psub)


# # Add environment variable COCOS_CONSOLE_ROOT for cocos2d-x
# export COCOS_CONSOLE_ROOT="/Users/gabrielcapella/cocos2d-x/tools/cocos2d-console/bin"
# export PATH="$COCOS_CONSOLE_ROOT:$PATH"

# # Add environment variable COCOS_X_ROOT for cocos2d-x
# export COCOS_X_ROOT="/Users/gabrielcapella"
# export PATH="$COCOS_X_ROOT:$PATH"

# # Add environment variable COCOS_TEMPLATES_ROOT for cocos2d-x
# export COCOS_TEMPLATES_ROOT="/Users/gabrielcapella/cocos2d-x/templates"
# export PATH="$COCOS_TEMPLATES_ROOT:$PATH"

# # Add environment variable ANDROID_SDK_ROOT for cocos2d-x
export ANDROID_SDK_ROOT="/Users/gabrielcapella/Library/Android/sdk"
export PATH="$ANDROID_SDK_ROOT:$PATH"
export PATH="$ANDROID_SDK_ROOT/tools:$ANDROID_SDK_ROOT/platform-tools:$PATH"
export ANDROID_AVD_HOME="$HOME/.android/"

export PATH="/usr/bin/:$PATH" &

# # Add environment variable NDK_ROOT for cocos2d-x
# export NDK_ROOT="/Users/gabrielcapella/Library/Android/sdk/ndk-bundle/"
# export PATH="$NDK_ROOT:$PATH"

# # Add environment variable SDKBOX_HOME for sdkbox installer
# export SDKBOX_HOME="/Users/gabrielcapella/.sdkbox"

# export PATH="/usr/bin/:$PATH"
function subl;
	"/Applications/Sublime Text.app/Contents/SharedSupport/bin/subl" $argv;
end

alias pb='curl -s --data-binary @- https://p.capella.pro/ | awk \'{ print "https://p.capella.pro/"$0; }\' | tee /tmp/pb | pbcopy && cat /tmp/pb'

# The next line updates PATH for the Google Cloud SDK.
if [ -f '/Users/gabrielcapella/Documents/google-cloud-sdk/path.fish.inc' ]; . '/Users/gabrielcapella/Documents/google-cloud-sdk/path.fish.inc'; end

alias syncdots='curl https://git.capella.pro/capella/dotfiles/raw/master/start | bash -s -- sync'
